%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define tag_release plf
%else
%define tag_release mdk
%endif

%define	name	sox
%define version 12.17.7
%define release 1%{tag_release}

Summary:	A general purpose sound file conversion tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	LGPL
Group:		Sound
Source:		http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.bz2
Patch0:		sox-12.17.6-alsa-header.diff.bz2
Patch1:		sox-12.17.6-system_gsm_libs.diff.bz2
Url:		http://sox.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  oggvorbis-devel mad-devel gsm-devel
%if %build_plf
BuildRequires:  lame-devel
%endif
 
%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.

%if %build_plf
This package is in PLF as it was build with lame encoder support, which is in PLF.
%endif

%package -n	sox-devel
Summary:	The SoX sound file format converter libraries
Group:		Development/C
Requires:	oggvorbis-devel

%description -n	sox-devel 
This package contains the library needed for compiling applications
which will use the SoX sound file format converter.

Install sox-devel if you want to develop applications which will use
SoX.

%prep
%setup -q
%patch0 -p0 -b .alsa-header
%patch1 -p0 -b .system_gsm_libs

%build
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_SYS_SOUNDCARD_H=1"
%configure2_5x --with-oss-dsp --with-lame
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}


%makeinstall install install-lib install-play

ln -sf play $RPM_BUILD_ROOT%{_bindir}/rec

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF

chmod 755 $RPM_BUILD_ROOT%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1.bz2 $RPM_BUILD_ROOT%{_mandir}/man1/rec.1.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changelog Copyright README 
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/sox*
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n sox-devel
%defattr(-, root, root)
%doc TODO
%{_bindir}/libst-config
%{_libdir}/libst.a
%{_includedir}/*.h

%changelog
* Wed Dec 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 12.17.7-1mdk
- 12.17.7

* Sun Nov 21 2004 Michael Scherer <misc@mandrake.org> 12.17.6-2mdk
- Add plf build

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 12.17.6-1mdk
- 12.17.6
- merge Oden's changes which went to the wrong place:
	o drop P1, the CAN-2004-0557 fix is included
	o reorder patches, rediffed P0, P1
	o added the scripts
	o use system gsm lib (P2)

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 12.17.4-5mdk
- fix license
- cosmetics

* Fri Oct 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 12.17.4-4mdk
- Patch1: security fix for CAN-2004-0557

* Wed Aug 25 2004 Götz Waschk <waschk@linux-mandrake.com> 12.17.4-3mdk
- fix docs list
- patch to fix alsa build

* Wed Jul  9 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 12.17.4-2mdk
- rebuild for new devel provides

* Thu May 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 12.17.4-1mdk
- new version

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 12.17.3-4mdk
- recompile against new vorbis stuff

* Tue Jun 25 2002 Todd Lyons <tlyons@mandrakesoft.com> 12.17.3-3mdk
- Add ability to build with oggvorbis capability.  Source detects
  it properly, just add BuildRequires and Requires.
- Geoff 
  - fix it so it looks nicer ;)

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17.3-2mdk
- Remove Alpha fix for the time being (can only verify it doesn't
  apply, will check later to see if a re-diff is necessary).
- Remove commented and obsolete bzip2 manpage / strip binary code.

* Mon Apr 08 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17.3-1mdk
- New and shiny sox.

* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 12.17.1-3mdk
- spec clean up: macros, s#Copyright#License# ...

* Fri Aug 03 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 12.17.1-2mdk
- New Website & Rebuild after Six month.

* Fri Feb 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17.1-1mdk
- new and shiny source.
- use of %%configure.

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17-2mdk
- alpha fix.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 12.17-1mdk
- new and shiny version.
 - fix the build.

* Wed Aug 30 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-9mdk
- minor fix in the spec

* Tue Aug 29 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-8mdk
- simplified the installation

* Mon Aug 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 12.16-7mdk
- fixed installation directories

* Fri Apr 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 12.16-6mdk
- fixed groups

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix dangling symlinks (use rpmlint luke).

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Sat Aug 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DHAVE_SYS_SOUNDCARD_H=1, cause configure is slightly broken

* Thu Jul 22 1999 Gregus <gregus@etudiant.net>
- fr locale

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- A new life for the spec file :).
- 12.16.
- Removed obsoletes patchs.

* Tue Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cleanup from Mandrake adaptions

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Jan 20 1999 Bill Nottingham <notting@redhat.com>
- allow spaces in filenames for play/rec

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- fix docs

* Mon Nov 23 1998 Bill Nottingham <notting@redhat.com>
- update to 12.15

* Sat Oct 10 1998 Michael Maher <mike@redhat.com>
- fixed broken spec file

* Mon Jul 13 1998 Michael Maher <mike@redhat.com>
- updated source from Chris Bagwell.

* Wed Jun 23 1998 Michael Maher <mike@redhat.com>
- made patch to fix the '-e' option. BUG 580
- added buildroot

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 06 1997 Erik Troan <ewt@redhat.com>
- built against glibc
